<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Устройство-кресло"
	description="Устройство-кресло" fileName="NPCPlaceDevice.jar"
	className="org.mati.npc.hall.placedev.PlaceDev"
	version="8874" time="17.02.2009 01:05:19">

	<Group>Система голосования</Group>

	<!-- INLINKS -->
	<INLink name="voiceYes" description="Входящая связь - голос ЗА"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="voiceNo" description="Входящая связь - голос ПРОТИВ"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="voiceXZ" description="Входящая связь - голос ВОЗДЕРЖАЛСЯ"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>

	<!-- OUTLINKS -->
	<OUTLink name="OutHallManager"
		description="Исходящай связь для управления обработкой событий."
		interfaceName="org.mati.npc.core.hall.HallManager" linksNumber="0"
		nullable="false">
	</OUTLink>
	<OUTLink name="OutRegistrationLED" description="Индикатор статуса регистрации кресла"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutVotingLED" description="Индикатор статуса голосования кресла"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>

	<OUTLink name="OutDBServiceContainer" description="Связь с сервисом базы данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>

	<Attribute name="PlaceId" description="1" nullable="false"
		type="java.lang.String">
	</Attribute>

</ClassComponent>
